net.corda.core.serialization

## Class SerializedBytesSerializer

- net.corda.core.serialization.SerializedBytesSerializer

-     public class SerializedBytesSerializer

  A serialiser that avoids writing the wrapper class to the byte stream, thus ensuring `class SerializedBytes` is a pure type safety hack.

  See Also:
    `class SerializedBytes`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SerializedBytesSerializer` | `INSTANCE` A serialiser that avoids writing the wrapper class to the byte stream, thus ensuring `class SerializedBytes` is a pure type safety hack.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SerializedBytes<java.lang.Object>` | `read(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Input input, java.lang.Class<net.corda.core.serialization.SerializedBytes> type)`
    `void` | `write(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Output output, SerializedBytes<java.lang.Object> obj)`

- - ### Field Detail

    - #### INSTANCE

          public static SerializedBytesSerializer INSTANCE

      A serialiser that avoids writing the wrapper class to the byte stream, thus ensuring `class SerializedBytes` is a pure type safety hack.

      See Also:
        `class SerializedBytes`

  - ### Method Detail

    - #### write

          public void write(com.esotericsoftware.kryo.Kryo kryo,
                            com.esotericsoftware.kryo.io.Output output,
                            SerializedBytes<java.lang.Object> obj)

    - #### read

          public SerializedBytes<java.lang.Object> read(com.esotericsoftware.kryo.Kryo kryo,
                                                        com.esotericsoftware.kryo.io.Input input,
                                                        java.lang.Class<net.corda.core.serialization.SerializedBytes> type)